关于ideal2019版本配置maven问题

图片说明

今天配置idea时候,我是用的是idea2019版本以及maven3.6的版本,以前用的是老版本没有问题,但是我觉得这不是版本的问题存在,我在cmd里面输入命令mvn -v是没有任何问题的系统可以看见图片说明

但是一创建maven项目以后就报这个错误,我真的很无助,昨晚已经搞了好久,今天又重新安装了一遍maven还是不行,能给各位大佬提供解决思路的唯有我的错误日志,图片说明

而且我确定一定以及肯定是,我的maven的本地仓库配置以及ideal里面maven版本的地址没有一点的问题。

1) No implementation for org.apache.maven.model.path.PathTranslator was bound.
while locating org.apache.maven.model.path.PathTranslator
for field at org.apache.maven.model.interpolation.AbstractStringBasedModelInterpolator.pathTranslator(Unknown Source)
at org.codehaus.plexus.DefaultPlexusContainer$1.configure(DefaultPlexusContainer.java:350)

2) No implementation for org.apache.maven.model.path.UrlNormalizer was bound.
while locating org.apache.maven.model.path.UrlNormalizer
for field at org.apache.maven.model.interpolation.AbstractStringBasedModelInterpolator.urlNormalizer(Unknown Source)
at org.codehaus.plexus.DefaultPlexusContainer$1.configure(DefaultPlexusContainer.java:350)

2 errors
java.lang.RuntimeException: com.google.inject.CreationException: Unable to create injector, see the following errors:

1) No implementation for org.apache.maven.model.path.PathTranslator was bound.
while locating org.apache.maven.model.path.PathTranslator
for field at org.apache.maven.model.interpolation.AbstractStringBasedModelInterpolator.pathTranslator(Unknown Source)
at org.codehaus.plexus.DefaultPlexusContainer$1.configure(DefaultPlexusContainer.java:350)

2) No implementation for org.apache.maven.model.path.UrlNormalizer was bound.
while locating org.apache.maven.model.path.UrlNormalizer
for field at org.apache.maven.model.interpolation.AbstractStringBasedModelInterpolator.urlNormalizer(Unknown Source)
at org.codehaus.plexus.DefaultPlexusContainer$1.configure(DefaultPlexusContainer.java:350)

2 errors
at com.google.inject.internal.Errors.throwCreationExceptionIfErrorsExist(Errors.java:543)
at com.google.inject.internal.InternalInjectorCreator.initializeStatically(InternalInjectorCreator.java:159)
at com.google.inject.internal.InternalInjectorCreator.build(InternalInjectorCreator.java:106)
at com.google.inject.Guice.createInjector(Guice.java:87)
at com.google.inject.Guice.createInjector(Guice.java:69)
at com.google.inject.Guice.createInjector(Guice.java:59)
at org.codehaus.plexus.DefaultPlexusContainer.addComponent(DefaultPlexusContainer.java:344)
at org.codehaus.plexus.DefaultPlexusContainer.addComponent(DefaultPlexusContainer.java:332)
at org.jetbrains.idea.maven.server.Maven3XServerEmbedder.customizeComponents(Maven3XServerEmbedder.java:573)
at org.jetbrains.idea.maven.server.Maven3XServerEmbedder.customize(Maven3XServerEmbedder.java:542)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at java.rmi/sun.rmi.server.UnicastServerRef.dispatch(UnicastServerRef.java:359)
at java.rmi/sun.rmi.transport.Transport$1.run(Transport.java:200)
at java.rmi/sun.rmi.transport.Transport$1.run(Transport.java:197)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at java.rmi/sun.rmi.transport.Transport.serviceCall(Transport.java:196)
at java.rmi/sun.rmi.transport.tcp.TCPTransport.handleMessages(TCPTransport.java:562)
at java.rmi/sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run0(TCPTransport.java:796)
at java.rmi/sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.lambda$run$0(TCPTransport.java:677)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at java.rmi/sun.rmi.transport.tcp.TCPTransport$ConnectionHandler.run(TCPTransport.java:676)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)
at java.rmi/sun.rmi.transport.StreamRemoteCall.exceptionReceivedFromServer(StreamRemoteCall.java:283)
at java.rmi/sun.rmi.transport.StreamRemoteCall.executeCall(StreamRemoteCall.java:260)
at java.rmi/sun.rmi.server.UnicastRef.invoke(UnicastRef.java:161)
at java.rmi/java.rmi.server.RemoteObjectInvocationHandler.invokeRemoteMethod(RemoteObjectInvocationHandler.java:209)
at java.rmi/java.rmi.server.RemoteObjectInvocationHandler.invoke(RemoteObjectInvocationHandler.java:161)
at com.sun.proxy.$Proxy135.customize(Unknown Source)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.base/java.lang.reflect.Method.invoke(Method.java:566)
at com.intellij.execution.rmi.RemoteUtil.invokeRemote(RemoteUtil.java:175)
at com.intellij.execution.rmi.RemoteUtil.access$200(RemoteUtil.java:38)
at com.intellij.execution.rmi.RemoteUtil$1$1$1.compute(RemoteUtil.java:156)
at com.intellij.openapi.util.ClassLoaderUtil.computeWithClassLoader(ClassLoaderUtil.java:45)
at com.intellij.execution.rmi.RemoteUtil.executeWithClassLoader(RemoteUtil.java:227)
at com.intellij.execution.rmi.RemoteUtil$1$1.invoke(RemoteUtil.java:153)
at com.sun.proxy.$Proxy135.customize(Unknown Source)
at org.jetbrains.idea.maven.server.MavenEmbedderWrapper.doCustomize(MavenEmbedderWrapper.java:92)
at org.jetbrains.idea.maven.server.MavenEmbedderWrapper.lambda$customizeForResolve$1(MavenEmbedderWrapper.java:65)
at org.jetbrains.idea.maven.server.RemoteObjectWrapper.perform(RemoteObjectWrapper.java:76)
at org.jetbrains.idea.maven.server.MavenEmbedderWrapper.customizeForResolve(MavenEmbedderWrapper.java:64)
at org.jetbrains.idea.maven.project.MavenProjectsTree.resolve(MavenProjectsTree.java:1261)
at org.jetbrains.idea.maven.project.MavenProjectsProcessorResolvingTask.perform(MavenProjectsProcessorResolvingTask.java:45)
at org.jetbrains.idea.maven.project.MavenProjectsProcessor.doProcessPendingTasks(MavenProjectsProcessor.java:140)
at org.jetbrains.idea.maven.project.MavenProjectsProcessor.access$000(MavenProjectsProcessor.java:33)
at org.jetbrains.idea.maven.project.MavenProjectsProcessor$2.run(MavenProjectsProcessor.java:114)
at org.jetbrains.idea.maven.utils.MavenUtil.lambda$runInBackground$5(MavenUtil.java:468)
at com.intellij.openapi.application.impl.ApplicationImpl$1.run(ApplicationImpl.java:294)
at java.base/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)
at java.base/java.util.concurrent.FutureTask.run(FutureTask.java:264)
at java.base/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
at java.base/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
at java.base/java.lang.Thread.run(Thread.java:834)

这么说吧,如若帮我解决了这个问题,微信加我 我给你发个红包算是我的心意了,求求大佬们,好无助,解决了好久没
goGoing_
冷月寒雪 回复不识ᶫᵒᵛ君٩: 检查自己的本地仓库在ideal里面的配置,然后先在cmd中打 mvn help:system看看能不能下载下来jar文件
5 个月之前 回复
qq_40896788
不识ᶫᵒᵛ君٩ 用的idea 18.2然后maven是3.3.9也遇到一样的问题,而且还版本也没用
5 个月之前 回复
Im_corin
寒木666 一样的问题
7 个月之前 回复
qq_43050077
黑狐不黑 我也遇到了这样的问题,我的Idea还是2017版本的,兄弟你的问题解决了吗,能给个思路吗
8 个月之前 回复
weixin_44213438
瓦洛兰之盾 Unable to import maven project: See logs for details
10 个月之前 回复

8个回答

回退到3.6.1就好了,原因肯能是3.6.2的model builder 使用了JSR 330进行依赖注入,不再使用plexus。
MAVEN 3.6.2发行说明

MVN-6685

u010743173
struggleqiang IDE版本和maven版本不兼容导致的
3 个月之前 回复
qq_41644715
DenoStr 今天idea更新完成以后就兼容了maven 3.6.2
10 个月之前 回复
vincerey
夏花La 3.6.2版本的真的坑,用不习惯
11 个月之前 回复
goGoing_
冷月寒雪 老哥感谢你,我虽然换了3.6.1可以使用了,但是不知其所以然,能和我具体解释下吗,不太懂maven的机制,什么是jsr330和plexus
11 个月之前 回复

maven版本兼容性问题,请改为3.6.1以前的maven

weixin_43481793
高小胖爱胡小宝 我现在就遇到这个问题,打算换个以前的版本看看
11 个月之前 回复
qq_43699254
~citrus~ 回复冷月寒雪: 真的,我跟你报的错一摸一样,我去下了3.5.0的maven然后就没bug了
11 个月之前 回复
goGoing_
冷月寒雪 你好,朋友用的也是3.6.2 ,安装完后并没有什么问题
11 个月之前 回复

ideal2019.2也有问题,导入不了本地仓库

老铁,今天我也遇到这个问题了,装的19的idea和maven3.6.2,开始我也以为maven配错了或者idea版本太高,但是查询后没有错,不知道是maven3.6.2和19版idea是不是有冲突,纠结了好久,最后又装了18版的idea和maven3.3.9,然后就好了,现在看来绝逼是maven3.6.2的版本有问题

u011414252
小小拓荒者 换成maven3.3,mirror改成阿里巴巴的,可以下载依赖了
4 个月之前 回复
goGoing_
冷月寒雪 可以确定的是maven版本有问题,2019的idea是没问题的但是可能有些文件的配置和以前不一样了
11 个月之前 回复

我的20192版本换了3.6.1也不行。弄了一个晚上了。所有方法都试过了没用!自闭了...

weixin_42730046
别伊人 所以我又下载了20191版本,又把maven换成了默认.......貌似是3.3.几
8 个月之前 回复
qq_36839582
佩奇er~ 好烦啊
8 个月之前 回复

顶一个,maven3.6.3换maven3.6.1后正常

可能是maven版本过高导致的,我用的maven3.5.4,没有出现过什么问题

qq_19309473
鹏程萬鲤 如果回答对你有帮助,请给个采纳,谢谢!
11 个月之前 回复
goGoing_
冷月寒雪 回复鵬程萬裡: 谢谢老哥 我解决了 感谢!
11 个月之前 回复
weixin_45570876
氵禹 回复鵬程萬裡: 感谢 换了个低版本的maven 不报错了
11 个月之前 回复
i_Popular
万载小笼包 回复冷月寒雪: 真的可能是maven的3.6.2的版本问题,我换成了3.5.4的maven idea就可以正常下载jar了
11 个月之前 回复
qq_19309473
鹏程萬鲤 加我企鹅号:327844761远程帮你解决
11 个月之前 回复
i_Popular
万载小笼包 回复冷月寒雪: 我跟你的情况是一样的,我idea和myclipse都用上了,我也没有改什么,maven的settings.xml里面我加了阿里和一个http://repo1.maven.org/maven2就这样一直找解决方法,突然就开始下载jar了...但是idea的还是跟你报一样的错,myelipse却在下载jar了
11 个月之前 回复
i_Popular
万载小笼包 回复冷月寒雪: 请问你解决了吗
11 个月之前 回复
qq_19309473
鹏程萬鲤 这个我不清楚了,即使装相同的版本,也可能出现问题,属于正常的。
11 个月之前 回复
goGoing_
冷月寒雪 朋友和我装的是相同的版本,不知道为什么我的不行
11 个月之前 回复

我发现我重启idea问题解决了

Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
立即提问
相关内容推荐